import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for SyncDeliveryItem
void main() {
  final instance = SyncDeliveryItemBuilder();
  // TODO add properties to the builder and call build()

  group(SyncDeliveryItem, () {
    // Default-Lager-Code für den Artikel (Anlage neuer Artikel).
    // String articleDefaultWarehouseCode
    test('to test the property `articleDefaultWarehouseCode`', () async {
      // TODO
    });

    // String articleName
    test('to test the property `articleName`', () async {
      // TODO
    });

    // String articleNumber
    test('to test the property `articleNumber`', () async {
      // TODO
    });

    // bool articleScannable
    test('to test the property `articleScannable`', () async {
      // TODO
    });

    // int belegzeilenNr
    test('to test the property `belegzeilenNr`', () async {
      // TODO
    });

    // Komponenten-Artikelnummer bei aufgelösten Stücklisten, sonst leer.
    // String komponentenArtikelNr
    test('to test the property `komponentenArtikelNr`', () async {
      // TODO
    });

    // int requiredQuantity
    test('to test the property `requiredQuantity`', () async {
      // TODO
    });

    // String warehouseCode
    test('to test the property `warehouseCode`', () async {
      // TODO
    });

    // String warehouseName
    test('to test the property `warehouseName`', () async {
      // TODO
    });

  });
}
